Skip to content
vocapable.Docs

One teammate's day on the phone

GET
/v1/workspace/team/board/people/{user_id}
curl --request GET \
--url https://api.vocapable.com/v1/workspace/team/board/people/example \
--header 'Authorization: Bearer <token>'
user_id
required
User Id
string

Successful Response

Media typeapplication/json
TeamBoardMemberDay
object
member
required
TeamBoardMember
object
user
required
WorkspacePersonRef

A teammate named on a record: the id the server holds and the name to show.

object
user_id
required
User Id
string
name
required
Name
string
role
required
Role
string
Allowed values: owner manager rep
status
required
Status
string
Allowed values: on_call wrapping_up available away offline off_hours not_set invited
status_label
required
Status Label
string
presence_until
required
Any of:
string format: date-time
live_call
required
Any of:
TeamBoardLiveCall
object
call_id
required
Call Id
string
source
required
Source
string
Allowed values: workspace_call queue
direction
required
Direction
string
Allowed values: outbound inbound handoff
with_name
required
With Name
string
since
required
Since
string format: date-time
seconds
required
Seconds
integer
supervisable
Supervisable
boolean
supervised_by
Any of:
WorkspacePersonRef

A teammate named on a record: the id the server holds and the name to show.

object
user_id
required
User Id
string
name
required
Name
string
supervision_mode
Any of:
string
Allowed values: listen whisper barge
working_now
required
Any of:
boolean
device_ready
required
Device Ready
boolean
agent
Any of:
TeamBoardAgentState

A teammate’s agent state on the team board (contact-center companies).

object
state
required
State
string
Allowed values: available reserved on_call after_call_work not_ready offline
reason_code
required
Any of:
string
reason_label
required
Any of:
string
since
required
Any of:
string format: date-time
acw_until
required
Any of:
string format: date-time
next_state
required
Any of:
string
Allowed values: available not_ready offline
next_reason_label
required
Any of:
string
presence_revision
required
Any of:
integer
calls
required
Calls
integer
conversations
required
Conversations
integer
missed_offers
required
Missed Offers
integer
texts_sent
required
Texts Sent
integer
talk_seconds
required
Talk Seconds
integer
recent_calls
required
Recent Calls
Array<object>
TeamBoardRepCall
object
id
required
Id
string
direction
required
Direction
string
Allowed values: outbound inbound handoff
phase
required
Phase
string
outcome
required
Any of:
string
with_name
required
With Name
string
line_name
required
Any of:
string
started_at
required
Started At
string format: date-time
answered_at
required
Any of:
string format: date-time
ended_at
required
Any of:
string format: date-time
open_promises
required
Open Promises
Array<object>
TeamBoardPromise
object
kind
required
Kind
string
Allowed values: requested_callback callback_task
id
required
Id
string
title
required
Title
string
promised_at
required
Promised At
string format: date-time
overdue_seconds
required
Overdue Seconds
integer
owner
required
Any of:
WorkspacePersonRef

A teammate named on a record: the id the server holds and the name to show.

object
user_id
required
User Id
string
name
required
Name
string
label
required
Label
string
Example
{
"member": {
"role": "owner",
"status": "on_call",
"live_call": {
"source": "workspace_call",
"direction": "outbound",
"supervisable": false,
"supervision_mode": "listen"
},
"agent": {
"state": "available",
"next_state": "available"
}
},
"recent_calls": [
{
"direction": "outbound"
}
],
"open_promises": [
{
"kind": "requested_callback"
}
]
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}